Package net.shibboleth.idp.plugin.authn.webauthn.exception

# Class WebAuthnAuthenticationClientException

java.lang.Object
java.lang.Throwable
java.lang.Exception
net.shibboleth.idp.plugin.authn.webauthn.exception.WebAuthnAuthenticationClientException

All Implemented Interfaces:
  `Serializable`

Direct Known Subclasses:
  `AssertionFailureException`, `RegistrationFailureException`

public class WebAuthnAuthenticationClientException extends Exception
An exception to signal an error condition during execution or creation of a Webauthn client.

See Also:
  - Serialized Form

## Field Summary

Fields
Modifier and Type
Field
Description
`private static final long`
`serialVersionUID`
Serial UID.

## Constructor Summary

Constructors
Constructor
Description
`WebAuthnAuthenticationClientException()`
Constructor.
`WebAuthnAuthenticationClientException(String message)`
Constructor.
`WebAuthnAuthenticationClientException(String message, Throwable cause)`
Constructor.
`WebAuthnAuthenticationClientException(Throwable cause)`
Constructor.

## Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### serialVersionUID

private static final long serialVersionUID
Serial UID.

See Also:
  - Constant Field Values

## Constructor Details

### WebAuthnAuthenticationClientException

public WebAuthnAuthenticationClientException()
Constructor.

### WebAuthnAuthenticationClientException

public WebAuthnAuthenticationClientException(String message, Throwable cause)
Constructor.

Parameters:
  `message` - exception message
  `cause` - exception to be wrapped by this one

### WebAuthnAuthenticationClientException

public WebAuthnAuthenticationClientException(String message)
Constructor.

Parameters:
  `message` - exception message

### WebAuthnAuthenticationClientException

public WebAuthnAuthenticationClientException(Throwable cause)
Constructor.

Parameters:
  `cause` - exception to be wrapped by this one